
TYPO3.Flow - Bug # 44496

Status: Resolved Priority: Must have
Author: Christian Müller Category: Persistence
Created: 2013-01-14 Assigned To: Karsten Dambekalns
Updated: 2013-01-14 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: New doctrine.annotations classes are proxied but should not
Description

doctrine.annotations was moved out of Doctrine.Common and so aren't excluded from object management anymore. With that fatal
errors occur even when just calling the flow command.

Associated revisions
Revision 2bc1a615 - 2013-01-14 10:39 - Karsten Dambekalns

[BUGFIX] Exclude Doctrine Annotations and Collections from reflection

Doctrine split Annotations and Collections from the Common package,
now the exclusion of those packages from reflection is updated.

Change-Id: Ia79ed82c7d68479b15dfe10c80f9d96d571017a9
Fixes: #44496
Releases: master

Revision 4d27277a - 2013-01-15 10:08 - Karsten Dambekalns

[BUGFIX] Lock Doctrine ORM to version 2.3.x

This change locks the Doctrine ORM to version 2.3.x to avoid unwanted
changes from sneaking in.

To be on the safe side, YAML and Dom Crawler from Symfony are locked
down as well (2.1.x and 2.2.x respectively).

Change-Id: Ia79ed82c7d68479b15dfe10c80f9d96d571017a9
Fixes: #44496
Fixes: #44479
Releases: 2.0

History
#1 - 2013-01-14 10:12 - Karsten Dambekalns
- Category set to Persistence
- Assigned To set to Karsten Dambekalns
- Target version set to 2.1
- Affected Flow version changed from (any) to Git master
#2 - 2013-01-14 10:42 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Pushed directly to master (by accident).
